package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.dto.TCStatisticsDto;
import com.qmth.distributed.print.business.entity.TCStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 命题统计表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-09-09
 */
public interface TCStatisticsMapper extends BaseMapper<TCStatistics> {

    /**
     * 查找印刷计划信息
     *
     * @param iPage
     * @param collegeId
     * @param teachingRoomId
     * @param status
     * @param courseName
     * @param teacherName
     * @param schoolId
     * @return
     */
    public IPage<TCStatisticsDto> list(IPage<Map> iPage,
                                       @Param("collegeId") Long collegeId,
                                       @Param("teachingRoomId") Long teachingRoomId,
                                       @Param("status") String status,
                                       @Param("courseName") String courseName,
                                       @Param("teacherName") String teacherName,
                                       @Param("schoolId") Long schoolId);

    /**
     * 根据batchNo统计信息
     *
     * @param schoolId
     * @param batchNo
     * @return
     */
    public List<TCStatisticsDto> findByBatchNoCount(@Param("schoolId") Long schoolId, @Param("batchNo") String batchNo);
}
